import request from '@/utils/request'

// 查询企业年报股权变更信息列表
export function listChange(query) {
  return request({
    url: '/basicData/xcrEnterpriseAnnualReportEquityChange/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业年报股权变更信息详细
export function getChange(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterpriseAnnualReportEquityChange/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业年报股权变更信息
export function addChange(data) {
  return request({
    url: '/basicData/xcrEnterpriseAnnualReportEquityChange',
    method: 'post',
    data: data
  })
}

// 修改企业年报股权变更信息
export function updateChange(data) {
  return request({
    url: '/basicData/xcrEnterpriseAnnualReportEquityChange',
    method: 'put',
    data: data
  })
}

// 删除企业年报股权变更信息
export function delChange(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterpriseAnnualReportEquityChange/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delChangeBatch(ids) {
  return request.post('/basicData/xcrEnterpriseAnnualReportEquityChange/delete',ids)
}
